Subject: [bug#78297] [PATCH electronics-team] gnu: Add python-pydigitalwavetools.

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 12 May 2025 21:34:49 +0900

Hi Cayetano,

Cayetano Santos <[email-masked]> writes:

> From: Cayetano Santos via Guix-patches via <[email-masked]>
>
> * gnu/packages/electronics.scm (python-pydigitalwavetools): New variable.

[...]

> +    (home-page "https://github.com/Nic30/pyDigitalWaveTools/")
> +    (synopsis "Library to manipulate digital wave files.")
> +    (description
> +     "Pydigitalwavetools is a Python library to parse, write and format
> +@acronym{VCD, Value Champ Dump} and other digital wave files.")
> +    (license license:expat)))

Are you sure about VCD being 'Value Champ Dump' and not Video CD as I
thought?  The later seemed more sensical to me, this being about some
digital audio files :-).

You missed my earlier suggestion to turn 'wave' or 'wav' into WAV'.

The synopsis should not end with a '.'; please run './pre-inst-env guix
lint python-pydigitalwavetools' to catch these things.

Could you send a v3?

-- 
Thanks,
Maxim